/* SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only */

/*!
 * @file
 * @author EDT <tech@edt.com>
 * @copyright Copyright (C) 2023 Engineering Design Team, Inc.
 */
#ifndef EDT_LNX_ALLOC_H
#define EDT_LNX_ALLOC_H

#ifdef __cplusplus
extern "C" {
#endif

#include "edtdrvlnx.h"

#include <linux/linkage.h>

asmlinkage void edt_clear_sg_entry(Edt_Dev* edt_p, rbuf* p);

asmlinkage void dump_mem_mapping(char* name, EdtMemMapping* map);

#ifdef __cplusplus
}
#endif

#endif /* EDT_LNX_ALLOC_H */
