/* SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only */

/*!
 * @file
 * @author EDT <tech@edt.com>
 * @copyright Copyright (C) 1997 Engineering Design Team, Inc.
 */
#ifndef PCD_H
#define PCD_H

#ifdef __cplusplus
extern "C" {
#endif

int pcd_device_ioctl(Edt_Dev* edt_p,
                     u_int controlCode,
                     u_int inSize,
                     u_int outSize,
                     void* argBuf,
                     u_int* bytesReturned,
                     void* pIrp);

int pcd_DeviceInt(Edt_Dev* edt_p);

void pcd_dep_init(Edt_Dev* edt_p);

void pcd_dep_set(Edt_Dev* edt_p, u_int reg_def, u_int val);

u_int pcd_dep_get(Edt_Dev* edt_p, u_int reg_def);

int pcd_hwctl(int operation, void* context, Edt_Dev* edt_p);

#ifdef __cplusplus
}
#endif

#endif /* PCD_H */
