/* SPDX-License-Identifier: BSD-3-Clause */

/**
 * @file
 * @copyright Copyright (C) 2011 Engineering Design Team, Inc.
 *
 * This file includes all necessary EDT headers, so user applications
 * only need to include this one file.
 */

#ifndef EDTINC_H
#define EDTINC_H

#include "edtdef.h"

#include "edt_os_utils.h"

#include "edtreg.h"
#include "edt_flash.h"
#include "driver/edt_pci_devices.h"
#include "libedt.h"
#include "libedt_version.h"
#include "edt_error.h"

#ifdef PDV
#include "libpdv.h"
#include "libdvu.h"
#include "pdv_initcam.h"
#include "edt_bitload.h"
#include "libedt_timing.h"
#include "pdv_irig.h"
#endif /* PDV */

#ifdef PCD
#include "edt_optstring.h"
#include "libedt_timing.h"
#endif /* PCD */

#include <time.h>

#endif /* EDTINC_H */
