/* SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only */

/*!
 * @file
 * @author EDT <tech@edt.com>
 * @copyright Copyright (C) 2011 Engineering Design Team, Inc.
 */

#ifndef _EDTDRV_H
#define _EDTDRV_H

#include "edtdef.h"

#ifdef _NT_DRIVER_
#include "edtdrv_wdf.h"
#elif defined(__linux__)
#include "edtdrvlnx.h"
#elif !defined(CPPCHECK)
#error "Unknown driver build configuration"
#endif /* _NT_DRIVER_  /  __linux__ */

#if defined(__linux__)
#define DRV_EXPORT asmlinkage
#else
#define DRV_EXPORT
#endif

#endif
