/* SPDX-License-Identifier: BSD-3-Clause */

/**
 * @file
 * @copyright Copyright (C) 2011 Engineering Design Team, Inc.
 */

#ifndef EDTDEF_H
#define EDTDEF_H

#ifdef __cplusplus
extern "C" {
#endif


/* clang-format off */

/** Device interface name to use with functions such as @ref edt_open(). */
#define EDT_INTERFACE "pdv"
#define PDV 1
/* clang-format on*/


#if defined(_WIN32) || defined(__WIN32__) || defined(_WIN64)
#define _NT_ 1
#endif /* if WINDOWS */

#define EDT_MAX_KERNEL_EVENTS 20
#define MAX_LOCK_SRC 60

#ifdef __cplusplus
} /* extern C */
#endif


#endif /* EDTDEF_H */
